using System;
namespace CosnoleApp1
{
    class Project
    {

        static void Main()
        {
            int n = int.Parse(Console.ReadLine());
            string[] unos = Console.ReadLine().Split();
            int[] niz = new int[n];
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(unos[i]);
            }
            int q = int.Parse(Console.ReadLine());     
            int pocetak1, kraj1;         
            int[] nizgresaka = new int[n];
            nizgresaka[0] = 0;
            for (int i = 1; i < n; i++)
            {
                nizgresaka[i] = nizgresaka[i - 1];
                if (niz[i] < niz[i - 1]) nizgresaka[i]++;
            }
           
            unos = Console.ReadLine().Split();
            while (q > 0)
            {
                pocetak1 = int.Parse(unos[0]) - 1;
                kraj1 = int.Parse(unos[1]) - 1;
                if (nizgresaka[kraj1] - nizgresaka[pocetak1] == 1 || nizgresaka[kraj1] - nizgresaka[pocetak1] == 0)


                {
                    Console.WriteLine("DA");

                }
                else Console.WriteLine("NE");
                q--;
                unos = Console.ReadLine().Split();
            }
        }
    }
}